<template>
  <li class="flex justify-between p-9 mb-8 shadow-md rounded ">
    <div class="flex flex-col gap-4">
      <div class="flex">
        <p class="font-semibold">Имя:</p>
        <p>{{ user.server_name }}</p>
      </div>
      <div class="flex">
        <p class="font-semibold">Статус:</p>
        <p>{{ user.server_type }}</p>
      </div>
      <button class="py-2 px-6 rounded bg-[#93c5fd] text-[#fff]" @click="btnClick">редактировать</button>
    </div>
    <Transition>
      <FormUpdate
        v-if="isActive"
        :name="user.server_name"
        :type="user.server_type"
        :id="user.customer_id"
        @save="save"
      />
    </Transition>    
  </li>
</template>

<script>
import FormUpdate from './FormUpdate.vue';

export default {
  name: 'ModuleItem',
  components: {
    FormUpdate
  },
  props: {
    user: {
      type: Object,
      default: () => {}
    },
    
  },
  data() {
    return {
      isActive: false
    }
  },
  methods: {
    btnClick() {
      this.isActive = true
    },
    save(user) {
      this.isActive = false
      this.$emit('save', user)
    }
  }
}
</script>

<style lang="scss">
p {
  padding-right: 8px;
}
.v-enter-active,
.v-leave-active {
  transition: opacity 0.5s ease;
}

.v-enter-from,
.v-leave-to {
  opacity: 0;
}
</style>